Update specified Computer Extension Attribute object.Ask AIput https://yourServer.jamfcloud.com/api/v1/computer-extension-attributes/{id}Update specified Computer Extension Attribute object.Path ParamsidstringrequiredUnique ID of Computer Extension Attribute.Body ParamsComputer Extension Attribute object to be updated. IDs defined in this body will be ignored.namestringrequiredDisplay name for the extension attribute.descriptionstringDescription for the extension attribute.dataTypestringenumrequiredDefaults to STRINGType of data being collected.INTEGERSTRINGDATEAllowed:INTEGERSTRINGDATEenabledbooleanDefaults to trueEnabled by default, but for inputType Script we can disable it as well. Possible values are: false truetruefalseinventoryDisplayTypestringenumrequiredDefaults to GENERALCategory in which to display the extension attribute in Jamf Pro.GENERALHARDWAREOPERATING_SYSTEMUSER_AND_LOCATIONPURCHASINGEXTENSION_ATTRIBUTESAllowed:GENERALHARDWAREOPERATING_SYSTEMUSER_AND_LOCATIONPURCHASINGEXTENSION_ATTRIBUTESinputTypestringenumrequiredDefaults to TEXTExtension attributes collect inventory data by using an input type.The type of the Input used to populate the extension attribute.SCRIPTTEXTPOPUPDIRECTORY_SERVICE_ATTRIBUTE_MAPPINGAllowed:SCRIPTTEXTPOPUPDIRECTORY_SERVICE_ATTRIBUTE_MAPPINGscriptContentsstring | nullWhen we run this script it returns a data value each time a computer submits inventory to Jamf Pro. Provide scriptContents only when inputType is 'SCRIPT'.popupMenuChoicesarray of stringslength ≥ 0When added with list of choices while creating computer extension attributes these Pop-up menu can be displayed in inventory information. User can choose a value from the pop-up menu list when enrolling a computer any time using Jamf Pro. Provide popupMenuChoices only when inputType is 'POPUP'.popupMenuChoicesADD stringldapAttributeMappingstringDirectory Service attribute use to populate the extension attribute. Required when inputType is "DIRECTORY_SERVICE_ATTRIBUTE_MAPPING"ldapExtensionAttributeAllowedbooleanDefaults to falseCollect multiple values for this extension attribute. ldapExtensionAttributeAllowed is disabled by default, only for inputType 'DIRECTORY_SERVICE_ATTRIBUTE_MAPPING' it can be enabled. It's value cannot be modified during edit operation. Possible values are: false true truefalsemanageExistingDatastringenumIt is used to specify to either delete or retain the extension attributes values when inputType is Script and enabled is false.RETAINRETAINDELETEAllowed:RETAINDELETEResponses 202Computer Extension Attribute updated successfully. 400Bad Request. Specified Computer Extension Attribute could not be updated due to bad request. Possible reasons are: 1) The specified extension attribute id does not include a valid number. 2) Duplicate_Field. 3) Required fields are not provided in request body. 4) Fields which are not associated with provided inputType has some value. 5) Any values outside of the allowed range are included in the request body. 6) LDAP is not configured. 7) Error occured during database update operation. 404Specified Computer Extension Attribute object does not exist. The server either did not find a current representation for the requested resource or is trying to hide its existence from an unauthorized client.Updated about 2 months ago